![travis](https://travis-ci.org/sachinchoolur/lg-hash.svg?branch=master)
![bower](https://img.shields.io/bower/v/lg-hash.svg)
![npm](https://img.shields.io/npm/v/lg-hash.svg)

# History(Hash) module for [lightGallery](http://sachinchoolur.github.io/lightGallery/)
A customizable, modular, responsive, lightbox gallery plugin for jQuery.
![lightgallery](https://raw.githubusercontent.com/sachinchoolur/lightGallery/master/lib/lg.png)

Main features
---

* Unique url for each slides.
* Browser Back/forward buttons to navigate to different slides.
* Back button to close gallery.
* Allows to share images/videos to Facebook, Twitter, Google plus and Pinterest with the help of lightgallery share plugin
 
Browser support
---
lightgallery supports all major browsers including IE 8 and above..


Installation
---
#### Install with Bower

You can install lightgallery video plugin using the [Bower](http://bower.io) package manager.

```sh
$ bower install lg-hash --save
```

#### npm

You can also find lightgallery video plugin on [npm](http://npmjs.org).

```sh
$ npm install lg-hash
```
#### Download from Github

You can also directly download lg-hash from github.

#### Include Javascript files
Include lg-hash plugin after lightgallery.min.js.
``` html
<body>
   ---
    <!-- Include lightGallery -->
    <script src="js/lightgallery.min.js"></script>
    
    <!-- Include lg-hash -->
    <script src="js/lg-hash.min.js"></script>
    
    <!-- Include other lightgallery plugins (Optional) -->
    <script src="js/lg-thumbnail.min.js"></script>
</body>  
```

[Demos](http://sachinchoolur.github.io/lightGallery/demos/hash.html)
----
  
[Docs](http://sachinchoolur.github.io/lightGallery/docs/api.html#lg-hash)
-----

License
---

#### Commercial license
If you want to use lightGallery to develop commercial sites, themes, projects, and applications, the Commercial license is the appropriate license. With this option, your source code is kept proprietary. Purchase a lightGallery Commercial License at [uplabs.com/posts/lightgallery-plugin](https://www.uplabs.com/posts/lightgallery-plugin)

#### Open source license

If you are creating an open source application under a license compatible with the GNU GPL license v3, you may use this project under the terms of the GPLv3.

Follow me on twitter [@sachinchoolur](https://twitter.com/sachinchoolur) for the latest news, updates about this project.

